summaryrefslogtreecommitdiffstats
path: root/source/x/scim-anthy
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/scim-anthy')
-rwxr-xr-xsource/x/scim-anthy/scim-anthy.SlackBuild20
-rw-r--r--source/x/scim-anthy/slack-desc12
2 files changed, 20 insertions, 12 deletions
diff --git a/source/x/scim-anthy/scim-anthy.SlackBuild b/source/x/scim-anthy/scim-anthy.SlackBuild
index fba4ad8aa..9d87f4817 100755
--- a/source/x/scim-anthy/scim-anthy.SlackBuild
+++ b/source/x/scim-anthy/scim-anthy.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2008, 2009 Eric Hameleers, Eindhoven, NL
-# Copyright 2008, 2009, 2012 Patrick J. Volkerding, Sebeka, MN USA
+# Copyright 2008, 2009, 2012, 2018 Patrick J. Volkerding, Sebeka, MN USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -32,11 +32,12 @@
#
# -----------------------------------------------------------------------------
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=scim-anthy
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -49,6 +50,14 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -60,7 +69,6 @@ elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -81,7 +89,7 @@ find . \
-exec chmod 644 {} \;
echo Building ...
-CXXFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS -fpermissive -fno-delete-null-pointer-checks -std=gnu++98" \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -91,7 +99,7 @@ CFLAGS="$SLKCFLAGS" \
--disable-static \
--program-prefix= \
--program-suffix= \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make DESTDIR=$PKG install || exit 1
diff --git a/source/x/scim-anthy/slack-desc b/source/x/scim-anthy/slack-desc
index bb7bad771..996d185f2 100644
--- a/source/x/scim-anthy/slack-desc
+++ b/source/x/scim-anthy/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -10,10 +10,10 @@ scim-anthy: scim-anthy (a SCIM IMEngine module for anthy)
scim-anthy:
scim-anthy: SCIM is Smart Common Input Method platform, it provides a user
scim-anthy: friendly and full featured user interface and development platform to
-scim-anthy: make input method developer's lives easier. Anthy is a system for
-scim-anthy: Japanese input method. It converts Hiragana text to Kana Kanji
+scim-anthy: make input method developer's lives easier. Anthy is a system for
+scim-anthy: Japanese input method. It converts Hiragana text to Kana Kanji
scim-anthy: mixed text.
scim-anthy:
-scim-anthy: scim-anthy home: http://scim-imengine.sourceforge.jp/
+scim-anthy: Homepage: http://scim-imengine.sourceforge.jp/
scim-anthy:
scim-anthy: